Skip to main content
POST
/
web
/
extract
cURL
curl -X POST https://api.crevio.co/v1/web/extract \
  -H "Authorization: Bearer $CREVIO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"urls":["https://stripe.com/pricing"],"prompt":"Extract the per-transaction card fee"}'
{
  "id": "<string>",
  "object": "<string>",
  "type": "<string>",
  "model": "<string>",
  "progress": 123,
  "input": {},
  "result": {},
  "error": "<string>",
  "error_code": "<string>",
  "credits_used": 123,
  "provider_request_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Body

application/json
urls
string[]
required

URLs to extract from.

prompt
string
required

What to extract.

schema
object

Optional JSON schema for the output shape.

Response

Job queued

id
string
required
object
string
required
type
string
required
status
enum<string>
required
Available options:
queued,
processing,
completed,
failed,
cancelled
model
string
required
progress
integer
required
input
object
required
result
object
required
error
string | null
required
error_code
string | null
required
credits_used
integer | null
required
provider_request_id
string | null
required
created_at
string<date-time>
required
started_at
string<date-time> | null
required
completed_at
string<date-time> | null
required